Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface ListDataListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  JComboBox, JList.AccessibleJList, BasicComboPopup.ListDataHandler, BasicListUI.ListDataHandler, BasicComboBoxUI.ListDataHandler

public interface ListDataListener
extends EventListener

ListDataListener

Method Summary
`void` | `contentsChanged(ListDataEvent e)` Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods.
`void` | `intervalAdded(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been inserted in the data model.
`void` | `intervalRemoved(ListDataEvent e)` Sent after the indices in the index0,index1 interval have been removed from the data model.

Method Detail

### intervalAdded

    public void intervalAdded(ListDataEvent e)

  Sent after the indices in the index0,index1 interval have been inserted in the data model. The new interval includes both index0 and index1.
  Parameters:
    `e` - a ListDataEvent encapuslating the event information

### intervalRemoved

    public void intervalRemoved(ListDataEvent e)

  Sent after the indices in the index0,index1 interval have been removed from the data model. The interval includes both index0 and index1.
  Parameters:
    `e` - a ListDataEvent encapuslating the event information

### contentsChanged

    public void contentsChanged(ListDataEvent e)

  Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods. Index0 and index1 bracket the change.
  Parameters:
    `e` - a ListDataEvent encapuslating the event information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.